%define majver 2.01
%define minver 10

Name: webalizer
Version: %majver.%minver
Release: alt2
Summary: Web/ftp/proxy server log analyser
Url: http://www.mrunix.net/webalizer/
Source0: %name-%majver-%minver-src.tar.bz2
Source1: %name.conf.bz2
License: GPL
Group: Monitoring

Requires: db1 libjpeg freetype2 XFree86-libs xpm libintl libpng freetype2 zlib

# Automatically added by buildreq on Tue Jul 09 2002
BuildRequires: XFree86-libs freetype freetype2 libdb1-devel libdb2-devel libdb4-devel libgd-devel libjpeg libpng-devel xpm zlib-devel

%define apache_group apache
%define apache_log %_logdir/httpd
%define webalizer_user webalizer
%define webalizer_group webalizer
%define webalizer_home %_localstatedir/%name
%define webalizer_html /var/www/html/%name

Summary(ru_RU.KOI8-R):   web/ftp/proxy-
Summary(uk_UA.KOI8-U): ̦ Ǧ web/ftp/proxy-Ҧ

%description
The Webalizer is a web server log file analysis program which produces
usage statistics in HTML format for viewing with a browser.  The results
are presented in both columnar and graphical format, which facilitates
interpretation.  Yearly, monthly, daily and hourly usage statistics are
presented, along with the ability to display usage by site, URL, referrer,
user agent (browser) and country (user agent and referrer are only
available if your web server produces combined log format files).

%description -l ru_RU.KOI8-R
The Webalizer --    - web- Apache 
 ,     HTML (  ).
 , ,     
   , URL, , , .

%description -l uk_UA.KOI8-U
The Webalizer --   ̦ -̦ web- Apache 
 ,     Ħ HTML (æ  Ħ).
 Ҧ, ͦ,     
צ   , URL, , , .

%prep
%setup -n %name-%majver-%minver

%build
%configure --enable-dns --with-db=%_includedir/db2
bzcat %SOURCE1 | sed -e "s,__LOG__,%apache_log,g" -e "s,__HTML__,%webalizer_html,g" \
	-e "s,__HOME__,%webalizer_home,g" > webalizer.conf
	
%make_build

%install
install -d %buildroot%_sysconfdir
install -d %buildroot%_sysconfdir/cron.d
install -d %buildroot%_bindir
install -d %buildroot%_docdir
install -d %buildroot%webalizer_home
install -d %buildroot%webalizer_html
install -d %buildroot%_mandir/man1
install -m644 sample.conf %buildroot%_docdir/
install -m644 webalizer.conf %buildroot%_sysconfdir
install -m755 webalizer %buildroot%_bindir
install -m644 webalizer.1 %buildroot%_man1dir
install -m644 webalizer.png %buildroot%webalizer_html
install -m644 msfree.png %buildroot%webalizer_html

cat << EOF > %buildroot%_sysconfdir/cron.d/%name
#!/bin/sh
15 03 * * * %webalizer_user %_bindir/%name -c %_sysconfdir/%name.conf
EOF

ln -s webalizer %buildroot/%_bindir/webasolve

%pre
/usr/sbin/groupadd -r -f %webalizer_group 2>/dev/null ||:
/usr/sbin/useradd -g %webalizer_group -G %apache_group -c 'The Webalizer' \
	-d %webalizer_home -s /dev/null -r %webalizer_user 2>/dev/null || : 

%post
# get hostname to webalizer.conf
W_HOST=`hostname`
[ $? = 0 ] || W_HOST=localhost
W_TMP=`mktemp -q webalizer.conf-XXXXXXXXXX`
[ $? = 0 ] && sed -e "s,__HOST__,$W_HOST,g" < %_sysconfdir/webalizer.conf > $W_TMP && \
	mv $W_TMP %_sysconfdir/webalizer.conf && chmod 644 %_sysconfdir/webalizer.conf

%postun
/usr/sbin/userdel -r %webalizer_user 2>/dev/null ||:

%files
%doc CHANGES COPYING Copyright DNS.README INSTALL README* country-codes.txt sample.conf
%config(noreplace) %_sysconfdir/%name.conf
%config(noreplace) %_sysconfdir/cron.d/*
%_bindir/*
%_man1dir/*
%webalizer_html/*
%dir %attr(775,root,webalizer) %webalizer_home
%dir %attr(775,root,webalizer) %webalizer_html

%changelog
* Tue Oct 29 2002 Michael Shigorin <mike@altlinux.ru> 2.01.10-alt2
- rebuilt with gcc 3.2

* Tue Jul 09 2002 Michael Shigorin <mike@altlinux.ru> 2.01.10-alt1
- built for ALT Linux (based on Cooker package)
- cronjob and fs permissions adjusted to run webalizer as user
- s/cron.weekly/cron.d/ seems sane to me (more freedom, less hassle)
- more out-of-box tuning introduced (mainly webalizer.conf tweaks)
